org.apache.ignite.internal.processors.platform.dotnet

## Class PlatformDotNetPortableTypeConfiguration

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.dotnet.PlatformDotNetPortableTypeConfiguration

All Implemented Interfaces:
  PortableMarshalAware

    public class PlatformDotNetPortableTypeConfiguration
    extends Object
    implements PortableMarshalAware

Mirror of .Net class GridDotNetPortableTypeConfiguration.cs

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetPortableTypeConfiguration()` Default constructor.
`PlatformDotNetPortableTypeConfiguration(PlatformDotNetPortableTypeConfiguration cfg)` Copy constructor.

### Method Summary

Methods
`String` `getAffinityKeyFieldName()`
`String` `getAssemblyName()`
`String` `getIdMapper()`
`Boolean` `getKeepDeserialized()` Gets keep deserialized flag.
`Boolean` `getMetadataEnabled()` Gets metadata enabled flag.
`String` `getNameMapper()`
`String` `getSerializer()`
`String` `getTypeName()`
`Boolean` `isKeepDeserialized()` Deprecated. Use `getKeepDeserialized()` instead.
`void` `readPortable(PortableReader reader)` Reads fields from provided reader.
`void` `setAffinityKeyFieldName(String affinityKeyFieldName)`
`void` `setAssemblyName(String assemblyName)`
`void` `setIdMapper(String idMapper)`
`void` `setKeepDeserialized(Boolean keepDeserialized)` Sets keep deserialized flag.
`void` `setMetadataEnabled(Boolean metadataEnabled)` Sets metadata enabled flag.
`void` `setNameMapper(String nameMapper)`
`void` `setSerializer(String serializer)`
`void` `setTypeName(String typeName)`
`String` `toString()`
`void` `writePortable(PortableWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetPortableTypeConfiguration

    public PlatformDotNetPortableTypeConfiguration()

Default constructor.

#### PlatformDotNetPortableTypeConfiguration

    public PlatformDotNetPortableTypeConfiguration(PlatformDotNetPortableTypeConfiguration cfg)

Copy constructor.

Parameters:
  `cfg` - configuration to copy.

### Method Detail

#### getAssemblyName

    public String getAssemblyName()

Returns:
  Assembly name.

#### setAssemblyName

    public void setAssemblyName(String assemblyName)

Parameters:
  `assemblyName` - New assembly name.

#### getTypeName

    public String getTypeName()

Returns:
  Type name.

#### setTypeName

    public void setTypeName(String typeName)

Parameters:
  `typeName` - New type name.

#### getNameMapper

    public String getNameMapper()

Returns:
  Name mapper.

#### setNameMapper

    public void setNameMapper(String nameMapper)

Parameters:
  `nameMapper` - New name mapper.

#### getIdMapper

    public String getIdMapper()

Returns:
  Id mapper.

#### setIdMapper

    public void setIdMapper(String idMapper)

Parameters:
  `idMapper` - New id mapper.

#### getSerializer

    public String getSerializer()

Returns:
  Serializer.

#### setSerializer

    public void setSerializer(String serializer)

Parameters:
  `serializer` - New serializer.

#### getMetadataEnabled

    public Boolean getMetadataEnabled()

Gets metadata enabled flag. See `setMetadataEnabled(Boolean)` for more information.

Returns:
  Metadata enabled flag.

#### setMetadataEnabled

    public void setMetadataEnabled(Boolean metadataEnabled)

Sets metadata enabled flag.

When set to `null` default value taken from `PlatformDotNetPortableConfiguration.isDefaultMetadataEnabled()` will be used.

Parameters:
  `metadataEnabled` - New metadata enabled.

#### getAffinityKeyFieldName

    public String getAffinityKeyFieldName()

Returns:
  Affinity key field name.

#### setAffinityKeyFieldName

    public void setAffinityKeyFieldName(String affinityKeyFieldName)

Parameters:
  `affinityKeyFieldName` - Affinity key field name.

#### isKeepDeserialized

    @Deprecated
    @Nullable
    public Boolean isKeepDeserialized()

Deprecated. Use `getKeepDeserialized()` instead.
Gets keep deserialized flag.

Returns:
  Flag indicates whether to cache deserialized value in IGridPortableObject.

#### getKeepDeserialized

    @Nullable
    public Boolean getKeepDeserialized()

Gets keep deserialized flag. See `setKeepDeserialized(Boolean)` for more information.

Returns:
  Flag indicates whether to cache deserialized value in IGridPortableObject.

#### setKeepDeserialized

    public void setKeepDeserialized(@Nullable
                           Boolean keepDeserialized)

Sets keep deserialized flag.

When set to `null` default value taken from `PlatformDotNetPortableConfiguration.isDefaultKeepDeserialized()` will be used.

Parameters:
  `keepDeserialized` - Keep deserialized flag.

#### writePortable

    public void writePortable(PortableWriter writer)
                       throws PortableException

Writes fields to provided writer.

Specified by:
  `writePortable` in interface `PortableMarshalAware`
Parameters:
  `writer` - Portable object writer.
Throws:
  `PortableException` - In case of error.

#### readPortable

    public void readPortable(PortableReader reader)
                      throws PortableException

Reads fields from provided reader.

Specified by:
  `readPortable` in interface `PortableMarshalAware`
Parameters:
  `reader` - Portable object reader.
Throws:
  `PortableException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015